#include <dragonfly_lib.h>

int main(void)
{
	/* Initialize dragonfly board */
	dragonfly_init(ALL_ON);
	
	int i, j, max = -1;
	int vals[16];

	/* Pause breifly to let ADC and analog loop warm up */
	orbs_set_color(RED, RED);
	delay_ms(2000);
	orbs_set_color(GREEN, GREEN);

	while (1) {

		/* Refresh and make sure the table is updated */
		bom_refresh(BOM_ALL);
		delay_ms(100);

		/* Record values into an array and track the max */
		for (i = 0; i < 16; i++) {
			vals[i] = bom_get(i);
			if (max < vals[i])
				max = vals[i];
		}

		/* Display results */
		for (i = 0; i < 16; i++) {
			
			usb_puti(vals[i]);
			usb_putc('\t');

			/* Display histogram - Displays the distance each value
			 * is from the max (lowest value -> most intense IR reading) */
			for (j = 0; j < (int)((max - vals[i]) / 5); j++) {
				usb_putc('#');
			}

			usb_putc('\n');

		}

		/* Display the results of the bom_get_max function */
		usb_puts("Max: ");
		usb_puti(bom_get_max());
		usb_putc('\n');
		usb_putc('\n');

		delay_ms(400);

	}
}
